diff -urp idados-master.orig/Makefile.mingw idados-master/Makefile.mingw
--- idados-master.orig/Makefile.mingw	2013-04-22 12:56:12 +0400
+++ idados-master/Makefile.mingw	2013-04-23 21:31:30 +0400
@@ -1,8 +1,9 @@
-IDA=/home/efry/idasdk57
+IDA=d:/tmp/00/ida61/sdk
 IDA_DEBUG=$(IDA)/plugins/debugger
 CC=g++
-CFLAGS=-D__NT__ -D__IDP__ -I$(IDA)/include -I$(IDA_DEBUG) -DNO_OBSOLETE_FUNCS -D__IDP__ -D__PLUGIN__ -mrtd -mno-cygwin
-LFLAGS=$(IDA)/lib/gcc.w32/ida.a -Wl,--dll -shared -lwsock32 -lws2_32 
+CFLAGS=-D_WIN32 -DWIN32 -D__NT__ -D__IDP__ -DNO_OBSOLETE_FUNCS -D__PLUGIN__ -I$(IDA)/include -I$(IDA_DEBUG)
+LIBS=$(IDA)/lib/x86_win_gcc_32/ida.a -shared -lwsock32 -lws2_32
+LFLAGS=-static-libgcc -static-libstdc++ -Wl,--dll
 
 all: dosbox_stub.plw
 
@@ -17,10 +18,10 @@ rpc_debmod.cpp:
 debmod.cpp:
 
 rebase_msdos.plw: rebase.cpp
-	$(CC) $(CFLAGS) -o $@ rebase.cpp $(IDA)/lib/gcc.w32/ida.a -Wl,--dll -shared
+	$(CC) $(CFLAGS) $(LFLAGS) -o $@ rebase.cpp $(LIBS)
 
 dosbox_stub.plw: dosbox_rstub.o tcpip.o rpc_debmod_dosbox.o rpc_hlp.o rpc_engine.o util.o rpc_client.o rpc_debmod.o debmod.o
-	$(CC) $(CFLAGS) -o $@ dosbox_rstub.o tcpip.o rpc_debmod_dosbox.o rpc_hlp.o rpc_engine.o util.o rpc_client.o rpc_debmod.o debmod.o $(LFLAGS)
+	$(CC) $(CFLAGS) $(LFLAGS) -o $@ dosbox_rstub.o tcpip.o rpc_debmod_dosbox.o rpc_hlp.o rpc_engine.o util.o rpc_client.o rpc_debmod.o debmod.o $(LIBS)
 
 dosbox_rstub.o: dosbox_rstub.cpp dosbox_local_impl.cpp
 	$(CC) -c $(CFLAGS) -o $@ dosbox_rstub.cpp
diff -urp idados-master.orig/dosbox_debmod.cpp idados-master/dosbox_debmod.cpp
--- idados-master.orig/dosbox_debmod.cpp	2013-04-22 12:56:12 +0400
+++ idados-master/dosbox_debmod.cpp	2013-04-23 21:44:56 +0400
@@ -1,6 +1,9 @@
 /*
 
 */
+#ifdef _WIN32
+#include <windows.h>
+#endif
 #include <ida.hpp>
 #include <err.h>
 #include <idp.hpp>
@@ -110,7 +113,7 @@ int idaapi dosbox_debmod_t::dbg_add_bpt(
    case BPT_SOFT : DEBUG_AddBreakPoint((Bit32u)ea, false); break;
    case BPT_RDWR :
    case BPT_WRITE : DEBUG_AddMemBreakPoint((Bit32u)ea); break;
-   case BPT_READ :
+//   case BPT_READ :
      // Unsupported
      return 0; // failed
  }
diff -urp idados-master.orig/dosbox_local_impl.cpp idados-master/dosbox_local_impl.cpp
--- idados-master.orig/dosbox_local_impl.cpp	2013-04-22 12:56:12 +0400
+++ idados-master/dosbox_local_impl.cpp	2013-04-23 21:31:02 +0400
@@ -1,3 +1,6 @@
+#ifdef _WIN32
+#include <windows.h>
+#endif
 #include <segment.hpp>
 #include <srarea.hpp>
 
diff -urp idados-master.orig/dosbox_rstub.cpp idados-master/dosbox_rstub.cpp
--- idados-master.orig/dosbox_rstub.cpp	2013-04-22 12:56:12 +0400
+++ idados-master/dosbox_rstub.cpp	2013-04-23 21:31:02 +0400
@@ -10,6 +10,9 @@ char wanted_name[] = "Remote Dosbox debu
 //#define HAVE_APPCALL
 
 //////
+#ifdef _WIN32
+#include <windows.h>
+#endif
 #include "tcpip.h"
 #include <ua.hpp>
 #include <area.hpp>
diff -urp idados-master.orig/rebase.cpp idados-master/rebase.cpp
--- idados-master.orig/rebase.cpp	2013-04-22 12:56:12 +0400
+++ idados-master/rebase.cpp	2013-04-23 21:31:02 +0400
@@ -5,6 +5,9 @@
  *
  */
 
+#ifdef _WIN32
+#include <windows.h>
+#endif
 #include <ida.hpp>
 #include <idp.hpp>
 #include <bytes.hpp>
diff -urp idados-master.orig/rpc_debmod_dosbox.cpp idados-master/rpc_debmod_dosbox.cpp
--- idados-master.orig/rpc_debmod_dosbox.cpp	2013-04-22 12:56:12 +0400
+++ idados-master/rpc_debmod_dosbox.cpp	2013-04-23 21:31:02 +0400
@@ -1,7 +1,8 @@
+#ifdef _WIN32
+#include <windows.h>
+#endif
 #include "typeinf.hpp"
-
 #include "deb_pc.hpp"
-
 #include "rpc_debmod_dosbox.h"
 
 static const char *get_reg_name(int reg_idx);
